Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missingelement

## Class required_elements_missing_expectedCodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.missingelement.required_elements_missing_expectedCodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class required_elements_missing_expectedCodeAction
    extends Object
    implements ICodeActionParticipant

CodeAction to insert expected child element given a list of choices Given this XML where the expected child elements are not present as defined in the relaxNG schema:
Error: element "article" incomplete; expected element "title", "title2" or "titleOtherChoice" To fix the error, there will three code actions generated to insert each option

### Constructor Summary

Constructors
`required_elements_missing_expectedCodeAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doCodeAction​(ICodeActionRequest request, List<org.eclipse.lsp4j.CodeAction> codeActions, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collect the code action in the given `codeActions` for the given code action request `request`.
`ICodeActionResolvesParticipant` `getResolveCodeActionParticipant​(String participantId)` Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional`

### Constructor Detail

#### required_elements_missing_expectedCodeAction

    public required_elements_missing_expectedCodeAction()

### Method Detail

#### doCodeAction

    public void doCodeAction​(ICodeActionRequest request,
                             List<org.eclipse.lsp4j.CodeAction> codeActions,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionParticipant`
Collect the code action in the given `codeActions` for the given code action request `request`.

Specified by:
  `doCodeAction` in interface `ICodeActionParticipant`
Parameters:
  `request` - the code action request.
  `codeActions` - list of code actions to fill.
  `cancelChecker` - the cancel checker.

#### getResolveCodeActionParticipant

    public ICodeActionResolvesParticipant getResolveCodeActionParticipant​(String participantId)

Description copied from interface: `ICodeActionParticipant`
Returns the codeAction resolver participant identified by the given `participantId` and null otherwise.

Specified by:
  `getResolveCodeActionParticipant` in interface `ICodeActionParticipant`
Parameters:
  `participantId` - the code action resolver participant ID.
Returns:
  the codeAction resolver participant identified by the given `participantId` and null otherwise.